function RegionIntro() 
if GetCurrentPlayer() == PLAYER_1 then 
ChangeHeroStat("Laszlo", 6, 3);
AllowOpenFogOfWarForAlly( 2, 1, 0);
SetObjectOwner("Damlad", 2);
SetObjectOwner("forestpl21", 2);
SetObjectOwner("MinePL2", 2);
SetRegionBlocked("RegionNoPassFreeVert", 1, 1); 
SetRegionBlocked("RegionProtecBeaumeville", 1, 3); 
SetRegionBlocked("RegionProtecBeaumeville", 1, 4);
SetRegionBlocked("RegionProtecBeaumeville", 1, 5);
SetRegionBlocked("RegionFreeVert", 1, 2);
SetRegionBlocked("RegionVision", 1, 2);
SetRegionBlocked("RegionVision", 1, 3);
SetRegionBlocked("RegionVision", 1, 4);
SetRegionBlocked("RegionVision", 1, 5);
SetRegionBlocked("Regionsortiehaven", 1, 2);
SetRegionBlocked("Regionsortiehaven", 1, 3);
SetRegionBlocked("Regionsortiehaven", 1, 4);
SetRegionBlocked("Regionsortiehaven", 1, 5);
SetRegionBlocked("RegionProtecDongeon", 1, 2);
SetRegionBlocked("RegionProtecDongeon2", 1, 2);
SetRegionBlocked("Noennemi", 1, 3);
SetRegionBlocked("Noennemi", 1, 4);
SetRegionBlocked("Noennemi", 1, 5);
SetRegionBlocked("Noennemi2", 1, 3);
SetRegionBlocked("Noennemi2", 1, 4);
SetRegionBlocked("Noennemi2", 1, 5);
SetRegionBlocked("RegionFreeDruide", 1, 3);
SetRegionBlocked("RegionProtectPass", 1, 2);
SetRegionBlocked("RegionProtectPass", 1, 3);
SetRegionBlocked("RegionProtectPass", 1, 4);
SetRegionBlocked("RegionProtectP2", 1, 3);
SetRegionBlocked("RegionProtectP22", 1, 3);
SetRegionBlocked("RegionProtectP22", 1, 1);
SetRegionBlocked("RegionProtectP222", 1, 3);
SetRegionBlocked("RegionProtectP222", 1, 1);
SetRegionBlocked("RegionProtectP2", 1, 4);
SetRegionBlocked("RegionProtectP22", 1, 4);
SetRegionBlocked("RegionInfoPriso1", 1, 2); 
SetRegionBlocked("RegionInfoPriso1", 1, 3);
SetRegionBlocked("RegionInfoPriso1", 1, 4);
SetRegionBlocked("RegionInfoPriso1", 1, 5);
SetRegionBlocked("RegionBlokDamal", 1, 1); 
SetRegionBlocked("RegionBlokDamal", 1, 2);
SetRegionBlocked("RegionBlokDamal", 1, 3);
SetRegionBlocked("RegionBlokDamal", 1, 5);
SetRegionBlocked("RegionBlokDiraen", 1, 1);
SetRegionBlocked("RegionBlokDiraen", 1, 2);
SetRegionBlocked("RegionBlokDiraen", 1, 3);
SetRegionBlocked("RegionBlokDiraen", 1, 5);
SetRegionBlocked("RegionHameau", 1, 2);
SetRegionBlocked("RegionHameau", 1, 3);
SetRegionBlocked("RegionHameau", 1, 4);
SetRegionBlocked("RegionHameau", 1, 5);
SetRegionBlocked("RegionSouterre", 1, 2);
SetRegionBlocked("RegionSouterre", 1, 3);
SetRegionBlocked("RegionSouterre", 1, 4);
SetRegionBlocked("RegionSouterre", 1, 5);
SetRegionBlocked("RegionNonsousterre", 1, 4);
SetRegionBlocked("RegionNonsousterre", 1, 5);
SetRegionBlocked("RegionBlockColris", 1, 1);
SetRegionBlocked("RegionBlockColris2", 1, 1);
SetRegionBlocked("RegionBlockColris3", 1, 1);
SetRegionBlocked("RegionBlockColris4", 1, 1);
SetRegionBlocked("RegionBlockColris5", 1, 1);
SetRegionBlocked("RegionBlockColris6", 1, 1);
SetRegionBlocked("RegionBlockColris3", 1, 2);
SetRegionBlocked("RegionBlockColris4", 1, 2);
SetRegionBlocked("RegionBlockColris5", 1, 2);
SetRegionBlocked("RegionBlockColris6", 1, 2);
SetRegionBlocked("RegionBlockColris7", 1, 1);
SetRegionBlocked("RegionBlockColris7", 1, 2);
SetRegionBlocked("RegionFinal1", 1, 1);
SetRegionBlocked("RegionFinal1", 1, 2);
SetRegionBlocked("RegionFinal2", 1, 1);
SetRegionBlocked("RegionFinal2", 1, 2);
SetRegionBlocked("RegionFinal3", 1, 1);
SetRegionBlocked("RegionFinal3", 1, 2);
SetRegionBlocked("RegionFinal3", 1, 4);
SetRegionBlocked("RegionFinal3", 1, 5);
SetRegionBlocked("RegionFinal4", 1, 1);
SetRegionBlocked("RegionFinal4", 1, 2);
SetRegionBlocked("RegionProtectP3", 1, 1);
SetRegionBlocked("RegionProtectP3", 1, 2);
SetRegionBlocked("RegionProtectNecro3", 1, 1); 
SetRegionBlocked("RegionProtectNecro5", 1, 1); 
SetRegionBlocked("RegionProtectNecro6", 1, 1); 
SetRegionBlocked("RegionProtectNecro7", 1, 1); 
SetRegionBlocked("RegionProtectNecro8", 1, 1); 
SetRegionBlocked("RegionProtectNecro9", 1, 1); 
SetRegionBlocked("RegionBlocSylve", 1, 2);
SetRegionBlocked("RegionBlocSylve", 1, 4); 
SetRegionBlocked("RegionFin", 1, 1); 
SetRegionBlocked("RegionNecroNoJ2", 1, 2);
SetRegionBlocked("RegionNecroNoJ2", 1, 3);
SetRegionBlocked("RegionBlckTroen", 1, 2);
SetRegionBlocked("RegionBlckTroen", 1, 3);
SetRegionBlocked("RegionBlckTroen2", 1, 2);
SetRegionBlocked("RegionBlckTroen2", 1, 3);
SetRegionBlocked("RegionCimetiere", 1, 2);
SetRegionBlocked("RegionCimetiere", 1, 3);
SetRegionBlocked("RegionCimetiere", 1, 4);
SetRegionBlocked("RegionCimetiere", 1, 5);
MakeHeroReturnToTavernAfterDeath("Laszlo", 1, 0); 
MakeHeroReturnToTavernAfterDeath("Sinitar", 1, 0);
MakeHeroReturnToTavernAfterDeath("Menel", 1, 0);
MakeHeroReturnToTavernAfterDeath("Ossir", 1, 0); 
MakeHeroReturnToTavernAfterDeath("Raven", 1, 0);
MakeHeroReturnToTavernAfterDeath("Vladimir", 1, 0);
MakeHeroReturnToTavernAfterDeath("Deirdre", 1, 0); 
MakeHeroReturnToTavernAfterDeath("Eruina", 1, 0); 
MakeHeroReturnToTavernAfterDeath("Gilraen", 1, 0); 
MakeHeroReturnToTavernAfterDeath("Vinrael", 1, 0);
MakeHeroReturnToTavernAfterDeath("Lucretia", 1, 0);
MakeHeroReturnToTavernAfterDeath("Kaspar", 1, 0);
MakeHeroReturnToTavernAfterDeath("Vayshan", 1, 0);
MakeHeroReturnToTavernAfterDeath("Sorgal", 1, 0);
AllowPlayerTavernRace( 1, 0, 1 );
AllowPlayerTavernRace( 1, 1, 0 );
AllowPlayerTavernRace( 1, 3, 0 ); 
AllowPlayerTavernRace( 1, 4, 0 ); 
AllowPlayerTavernRace( 1, 5, 0 ); 
AllowPlayerTavernRace( 2, 0, 0 ); 
AllowPlayerTavernRace( 2, 1, 1 ); 
AllowPlayerTavernRace( 2, 3, 0 ); 
AllowPlayerTavernRace( 2, 4, 0 );
AllowPlayerTavernRace( 2, 5, 0 );
AllowPlayerTavernRace( 3, 3, 1 ); 
AllowPlayerTavernRace( 3, 4, 0 ); 
AllowPlayerTavernRace( 3, 0, 0 ); 
AllowPlayerTavernRace( 3, 1, 0 );
AllowPlayerTavernRace( 3, 5, 0 );
AllowPlayerTavernRace( 4, 4, 1 ); 
AllowPlayerTavernRace( 4, 3, 0 ); 
AllowPlayerTavernRace( 4, 0, 0 ); 
AllowPlayerTavernRace( 4, 1, 0 );
AllowPlayerTavernRace( 4, 5, 0 );
SetAIPlayerAttractor("Bourg Pignon", 3, 1);
SetAIPlayerAttractor("Bourg Pignon", 4, 1);
SetAIPlayerAttractor("Bourg Pignon", 5, 1);
OpenRegionFog(1, "regionFog5");
OpenRegionFog(1, "regionFog6");
OpenRegionFog(1, "regionFog7");
OpenRegionFog(1, "regionFog8");
OpenRegionFog(1, "regionFog9");
OpenRegionFog(1, "regionFog10");
OpenRegionFog(1, "regionFog11");
MessageBox("Maps/SingleMissions/Charleroy/intro.txt"); 
Play2DSound("/Sounds/_(Sound)/Spells/Prayer.xdb#xpointer(/Sound)");
RemoveObject("demmare2");
RemoveObject("demmare1");
MoveCamera(93, 115, 0, 50, 0, 0, 0, 1, 1); 
sleep(15);
OpenCircleFog(245, 241, 0, 20, 1); 
Play2DSound("/Sounds/_(Sound)/Spells/Prayer.xdb#xpointer(/Sound)");
MoveCamera(245, 240, 0, 50, 0, 0, 0, 1, 1); 
sleep(25);
OpenCircleFog(14, 51, 1, 10, 1); 
Play2DSound("/Sounds/_(Sound)/Spells/Prayer.xdb#xpointer(/Sound)");
MoveCamera(14, 51, 1, 50, 0, 0, 0, 1, 1); 
sleep(25);
MoveCamera(30, 223, 0, 50, 0, 0, 0, 1, 1);
AllowOpenFogOfWarForAlly( 2, 1, 1);
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionIntro", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionIntro", "RegionIntro");

function RegionProtectPass()
if GetCurrentPlayer() == PLAYER_1 then 
MessageBox("Maps/SingleMissions/Charleroy/rappeldruide1.txt"); 
OpenCircleFog(195, 127, 0, 10, 1); 
Play2DSound("/Sounds/_(Sound)/Spells/Prayer.xdb#xpointer(/Sound)");
MoveCamera(195, 127, 0, 50, 0, 0, 0, 1, 1); 
sleep(20);
MoveCamera(91, 114, 0, 50, 0, 0, 0, 1, 1);
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionProtectPass", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionProtectPass", "RegionProtectPass");

function RegionHameau()
if GetCurrentPlayer() == PLAYER_1 then 
MessageBox("Maps/SingleMissions/Charleroy/Pasecret.txt"); 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionHameau", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionHameau", "RegionHameau");

function RegionAlertTan()
if GetCurrentPlayer() == PLAYER_1 then 
MessageBox("Maps/SingleMissions/Charleroy/AlertTanBailey.txt"); 
RemoveObject("tanAlert");
AddHeroCreatures("Laszlo", 14, 100);
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionAlertTan", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionAlertTan", "RegionAlertTan");

function RegionRejoindre()
if GetCurrentPlayer() == PLAYER_1 then 
MessageBox("Maps/SingleMissions/Charleroy/armee.txt"); 
Play2DSound("/Sounds/_(Sound)/SFX/ApprovalTribunes.xdb#xpointer(/Sound)"); 
AddHeroCreatures("Laszlo", 4, 1000);
AddHeroCreatures("Laszlo", 6, 1000);
AddHeroCreatures("Laszlo", 8, 500);
AddHeroCreatures("Laszlo", 10, 400);
AddHeroCreatures("Laszlo", 12, 300);
AddHeroCreatures("Laszlo", 14, 100);
RemoveObject("SaveBeaumecille3");
RemoveObject("Rejoin1");
RemoveObject("Rejoin2");
RemoveObject("Rejoin3");
RemoveObject("Rejoin4");
RemoveObject("Rejoin5");
RemoveObject("Rejoin6");
RemoveObject("Rejoin7");
RemoveObject("Rejoin8");
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionRejoindre", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionRejoindre", "RegionRejoindre");

function Region321()
if GetCurrentPlayer() == PLAYER_1 then 
RemoveObject("VisioRing");
RemoveObject("VisioRing2");
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "Region321", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "Region321", "Region321");

function RegionAiles()
if GetCurrentPlayer() == PLAYER_1 then 
MessageBox("Maps/SingleMissions/Charleroy/Ailes.txt"); 
RemoveObject("ange1");
RemoveObject("ange2");
RemoveObject("ange3");
RemoveObject("ange4");
OpenCircleFog(3, 161, 0, 10, 1); 
Play2DSound("/Sounds/_(Sound)/Spells/Prayer.xdb#xpointer(/Sound)");
SetObjectPosition("VueWing1", 3, 162, 0);
MoveCamera(3, 162, 0, 40, 0, 0, 0, 1); 
RemoveObject("VueWing3");
sleep(20);
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionAiles", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionAiles", "RegionAiles");

function RegionMission()
if GetCurrentPlayer() == PLAYER_1 then 
MessageBox("Maps/SingleMissions/Charleroy/Mission.txt"); 
sleep(5);
Play2DSound("/Sounds/_(Sound)/Spells/Prayer.xdb#xpointer(/Sound)");
SetObjectPosition("MissionSymb", 38, 223, 0);
sleep(20);
Play2DSound("/Sounds/_(Sound)/Spells/Prayer.xdb#xpointer(/Sound)");
RemoveObject("MissionSymb");
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionMission", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionMission", "RegionMission");

function RegionSouterre()
if GetCurrentPlayer() == PLAYER_1 then 
MessageBox("Maps/SingleMissions/Charleroy/ProtecTomb.txt"); 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionSouterre", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionSouterre", "RegionSouterre");

function RegionMarylin()
if GetCurrentPlayer() == PLAYER_5 then 
MoveHeroRealTime("Marylin", 119, 8, 0);
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionMarylin", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionMarylin", "RegionMarylin");

function RegionZara()
if GetCurrentPlayer() == PLAYER_5 then 
MoveHeroRealTime("Zara", 134, 143, 0);
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionZara", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionZara", "RegionZara");

function RegionPaysans()
if GetCurrentPlayer() == PLAYER_1 then 
SetObjectOwner("garisonpl10", 1);
SetObjectOwner("garisonpl20", 2);
SetObjectOwner("garisonpl21", 2);
SetObjectOwner("garisonpl22", 2);
SetObjectOwner("garisonpl23", 2);
SetObjectOwner("garisonpl24", 2);
RemoveObject("0blocJoueur1");
RemoveObject("0blocJoueur2");
RemoveObject("blocJoueur1");
RemoveObject("1blocJoueur1");
RemoveObject("11blocJoueur1");
RemoveObject("2blocJoueur1");
RemoveObject("3blocJoueur1");
RemoveObject("4blocJoueur1");
RemoveObject("14blocJoueur1");
RemoveObject("5blocJoueur1");
RemoveObject("6blocJoueur1");
RemoveObject("7blocJoueur1");
RemoveObject("8blocJoueur1");
RemoveObject("10blocJoueur1");
RemoveObject("10blocJoueur11");
RemoveObject("100blocJoueur1");
RemoveObject("110blocJoueur1");
RemoveObject("godonjon1");
RemoveObject("godonjon2");
RemoveObject("godonjon3");
RemoveObject("godonjon4");
RemoveObject("godonjon5");
RemoveObject("godonjon6");
RemoveObject("gonecro1");
RemoveObject("gonecro2");
RemoveObject("gonecro3");
RemoveObject("gonecro4");
RemoveObject("freeNecroCastle1");
RemoveObject("freeNecroCastle2");
RemoveObject("freeDonjeonCastle1");
RemoveObject("freeDonjeonCastle2");
RemoveObject("Pays1");
RemoveObject("Pays2");
RemoveObject("Pays3");
RemoveObject("Pays4");
RemoveObject("Pays5");
RemoveObject("Pays6");
RemoveObject("Pays7");
RemoveObject("Pays8");
RemoveObject("Pays9");
RemoveObject("Pays10");
RemoveObject("Pays11");
RemoveObject("Pays12");
RemoveObject("Pays13");
RemoveObject("Pays14");
RemoveObject("Pays15");
RemoveObject("Pays16");
RemoveObject("Pays17");
RemoveObject("1Pays1");
RemoveObject("1Pays2");
RemoveObject("1Pays3");
RemoveObject("1Pays4");
RemoveObject("1Pays5");
RemoveObject("1Pays6");
RemoveObject("1Pays7");
RemoveObject("1Pays8");
RemoveObject("1Pays9");
RemoveObject("1Pays10");
RemoveObject("1Pays11");
RemoveObject("1Pays12");
RemoveObject("1Pays13");
RemoveObject("1Pays14");
RemoveObject("1Pays15");
RemoveObject("RocherDragon");
RemoveObject("RocherDragon00");
RemoveObject("RocherDragon1");
RemoveObject("RocherDragon2");
RemoveObject("RocherDragon3");
RemoveObject("RocherDragon4");
RemoveObject("RocherDragon5");
RemoveObject("RocherDragon6");
RemoveObject("RocherDragon7");
RemoveObject("RocherDragon8");
RemoveObject("RocherDragon9");
RemoveObject("RocherDragon10");
RemoveObject("RocherDragon11");
RemoveObject("RocherDragon12");
RemoveObject("LibreBailey");
MessageBox("Maps/SingleMissions/Charleroy/passageSecret.txt");
Play2DSound("/Sounds/_(Sound)/Spells/Prayer.xdb#xpointer(/Sound)");
MoveCamera(8, 222, 0, 50, 0, 0, 0, 1, 1);
sleep(20);
OpenCircleFog(91, 118, 0, 5, 1); 
MoveCamera(91, 118, 0, 50, 0, 0, 0, 1, 1);
sleep(20);
MoveCamera(60, 103, 0, 50, 0, 0, 0, 1, 1);
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionPaysans", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionPaysans", "RegionPaysans");

function RegionTombRoi()
if GetCurrentPlayer() == PLAYER_1 then 
MessageBox("Maps/SingleMissions/Charleroy/TombRoi.txt");
OpenCircleFog(99, 214, 1, 10, 1); 
MoveCamera(99, 214, 1, 10, 0, 0, 0, 1);
sleep(10);
SetRegionBlocked("RegionTombRoi", 1, 2); 
SetRegionBlocked("RegionTombRoi", 1, 3); 
SetRegionBlocked("RegionTombRoi", 1, 4); 
MoveCamera(98, 223, 1, 50, 0, 0, 0, 1);
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionTombRoi", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionTombRoi", "RegionTombRoi");

function RegionBlckJ1() 
if GetCurrentPlayer() == PLAYER_1 then 
SetRegionBlocked("RegionBlckJ1", 1, 1); 
MessageBox("Maps/SingleMissions/Charleroy/Carte.txt"); 
Play2DSound("/Sounds/_(Sound)/Spells/Prayer.xdb#xpointer(/Sound)");
OpenCircleFog(149, 246, 0, 10, 1); 
MoveCamera(149, 246, 0, 50, 0, 0, 0, 1);
sleep(20);
MoveCamera(176, 238, 0, 50, 0, 0, 0, 1, 1);
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionBlckJ1", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionBlckJ1", "RegionBlckJ1");

function RegionBlckJ11() 
if GetCurrentPlayer() == PLAYER_1 then 
SetRegionBlocked("RegionBlckJ11", 1, 1); 
MessageBox("Maps/SingleMissions/Charleroy/Carte.txt"); 
Play2DSound("/Sounds/_(Sound)/Spells/Prayer.xdb#xpointer(/Sound)");
OpenCircleFog(149, 246, 0, 10, 1); 
MoveCamera(149, 246, 0, 50, 0, 0, 0, 1);
sleep(20);
MoveCamera(196, 213, 0, 50, 0, 0, 0, 1, 1);
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionBlckJ11", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionBlckJ11", "RegionBlckJ11");

function RegionBlckJ111() 
if GetCurrentPlayer() == PLAYER_1 then 
SetRegionBlocked("RegionBlckJ111", 1, 1); 
MessageBox("Maps/SingleMissions/Charleroy/Carte.txt"); 
Play2DSound("/Sounds/_(Sound)/Spells/Prayer.xdb#xpointer(/Sound)");
OpenCircleFog(149, 246, 0, 10, 1); 
MoveCamera(149, 246, 0, 50, 0, 0, 0, 1);
sleep(20);
MoveCamera(166, 207, 0, 50, 0, 0, 0, 1, 1);
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionBlckJ111", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionBlckJ111", "RegionBlckJ111");

function RegionIntro2() 
if GetCurrentPlayer() == PLAYER_1 then 
MessageBox("Maps/SingleMissions/Charleroy/intro2.txt"); 
Play2DSound("/Sounds/_(Sound)/Spells/Prayer.xdb#xpointer(/Sound)");
OpenCircleFog(8, 222, 0, 10, 1); 
MoveCamera(8, 222, 0, 50, 0, 0, 0, 1, 1);
sleep(25);
RemoveObject("porte");
RemoveObject("porte2");
RemoveObject("porte3");
RemoveObject("porte4");
RemoveObject("porte5");
OpenCircleFog(73, 190, 0, 10, 1); 
Play2DSound("/Sounds/_(Sound)/Spells/Prayer.xdb#xpointer(/Sound)");
MoveCamera(73, 190, 0, 50, 0, 0, 0, 1, 1);
sleep(25);
OpenCircleFog(95, 214, 0, 10, 1); 
Play2DSound("/Sounds/_(Sound)/Spells/Prayer.xdb#xpointer(/Sound)");
MoveCamera(95, 214, 0, 50, 0, 0, 0, 1, 1);
sleep(25);
MoveCamera(20, 220, 0, 50, 0, 0, 0, 1, 1);
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionIntro2", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionIntro2", "RegionIntro2");

function RegionBlckTroen()
if GetCurrentPlayer() == PLAYER_1 then 
SetRegionBlocked("RegionBlckTroen", 1, 1);
MessageBox("Maps/SingleMissions/Charleroy/2AlertDruide2.txt");
Play2DSound("/Sounds/_(Sound)/Spells/Prayer.xdb#xpointer(/Sound)");
MoveCamera(206, 61, 0, 50, 0, 0, 0, 1);
sleep(20);
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionBlckTroen", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionBlckTroen", "RegionBlckTroen");

function RegionBlckTroen2()
if GetCurrentPlayer() == PLAYER_1 then 
SetRegionBlocked("RegionBlckTroen2", 1, 1);
MessageBox("Maps/SingleMissions/Charleroy/2AlertDruide2.txt");
Play2DSound("/Sounds/_(Sound)/Spells/Prayer.xdb#xpointer(/Sound)");
MoveCamera(214, 49, 0, 50, 0, 0, 0, 1);
sleep(20);
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionBlckTroen2", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionBlckTroen2", "RegionBlckTroen2");
 
function RegionInfoNecro()
if GetCurrentPlayer() == PLAYER_1 then 
MessageBox("Maps/SingleMissions/Charleroy/bizare.txt");
Play2DSound("/Sounds/_(Sound)/Spells/Prayer.xdb#xpointer(/Sound)");
OpenCircleFog(91, 105, 0, 20, 1);
MoveCamera(91, 106, 0, 50, 0, 0, 0, 1);
sleep(15);
MoveCamera(91, 121, 0, 50, 0, 0, 0, 1, 1);
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionInfoNecro", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionInfoNecro", "RegionInfoNecro");

function RegionFreeVert()
if GetCurrentPlayer() == PLAYER_1 then 
StartCombat ("Laszlo", nil, 5, 71, 300, 72, 200, 73, 200, 74, 200, 77, 100, nil); 
sleep(10);
RemoveObject("BarriereFreeVert");
RemoveObject("BarriereFreeVert2");
RemoveObject("Sorciere1");
RemoveObject("Sorciere2");
RemoveObject("Sorciere3");
RemoveObject("effetGhost");
RemoveObject("FreeProtectPass");
RemoveObject("FreeProtectPass2");
RemoveObject("FreeProtectPass22");
RemoveObject("FreeProtectPass3");
RemoveObject("Souterre1");
RemoveObject("Souterre2");
RemoveObject("remove3");
RemoveObject("remove33");
GiveArtefact("Laszlo", 51, 0);
SetObjectPosition("SignEscalier", 129, 189, 0);
SetObjectOwner("forestpl20", 2);
Play2DSound("/Sounds/_(Sound)/SFX/ApprovalTribunes.xdb#xpointer(/Sound)"); 
MessageBox("Maps/SingleMissions/Charleroy/FreeVert.txt"); 
Play2DSound("/Sounds/_(Sound)/Spells/Prayer.xdb#xpointer(/Sound)");
OpenCircleFog(8, 108, 0, 10, 1); 
MoveCamera(8, 108, 0, 50, 0, 0, 0, 1, 1); 
sleep(20);
Play2DSound("/Sounds/_(Sound)/Spells/Prayer.xdb#xpointer(/Sound)");
OpenCircleFog(6, 115, 0, 10, 1); 
MoveCamera(6, 115, 0, 50, 0, 0, 0, 1, 1); 
sleep(25);
OpenCircleFog(129, 186, 0, 10, 1); 
Play2DSound("/Sounds/_(Sound)/Spells/Prayer.xdb#xpointer(/Sound)");
MoveCamera(129, 186, 0, 50, 0, 0, 0, 1, 1); 
sleep(30);
MoveCamera(195, 136, 0, 50, 0, 0, 0, 1, 1);
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionFreeVert", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionFreeVert", "RegionFreeVert");

function RegionHaven()
if GetCurrentPlayer() == PLAYER_1 then 
RemoveObject("Objetcitee1");
Play2DSound("/Sounds/_(Sound)/Spells/Prayer.xdb#xpointer(/Sound)");
OpenCircleFog(58, 207, 0, 10, 1); 
MoveCamera(58, 207, 0, 50, 0, 0, 0, 1, 1); 
sleep(20);
Play2DSound("/Sounds/_(Sound)/Spells/storm_end.xdb#xpointer(/Sound)"); 
RemoveObject("Objetcitee");
RemoveObject("Objetcitee2");
sleep(2);
Play2DSound("/Sounds/_(Sound)/SFX/ApprovalTribunes.xdb#xpointer(/Sound)"); 
RemoveObject("haven0");
RemoveObject("haven1");
RemoveObject("haven2");
RemoveObject("haven3");
RemoveObject("haven4");
RemoveObject("haven5");
RemoveObject("haven6");
RemoveObject("haven7");
RemoveObject("haven8");
RemoveObject("haven9");
RemoveObject("haven10");
RemoveObject("haven11");
RemoveObject("haven20");
RemoveObject("haven21");
RemoveObject("haven22");
SetObjectOwner("HavenDuel1", 1);
SetObjectOwner("HavenDuel2", 1);
sleep(10);
MoveCamera(12, 188, 0, 50, 0, 0, 0, 1, 1); 
MessageBox("Maps/SingleMissions/Charleroy/armee.txt"); 
AddHeroCreatures("Laszlo", 11, 100);
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionHaven", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionHaven", "RegionHaven");

function RegionProtectNecro4()
if GetCurrentPlayer() == PLAYER_1 then 
RemoveObject("ProtecCyclop1");
RemoveObject("ProtecCyclop2");
RemoveObject("BlockTownJ4");
RemoveObject("Block555");
RemoveObject("1Block555");
RemoveObject("BlockObserva");
SetObjectPosition("Observa", 13, 171, 0);
sleep(5);
MoveCamera(14, 180, 0, 50, 0, 0, 0, 1); 
Play2DSound("/Sounds/_(Sound)/Spells/Prayer.xdb#xpointer(/Sound)");
sleep(20);
RemoveObject("2Block555");
RemoveObject("3Block555");
Play2DSound("/Sounds/_(Sound)/SFX/ApprovalTribunes.xdb#xpointer(/Sound)"); 
sleep(15);
MoveCamera(26, 163, 0, 10, 0, 0, 0, 1); 
Play2DSound("/Sounds/_(Sound)/Spells/Prayer.xdb#xpointer(/Sound)");
sleep(15);
SetRegionBlocked("RegionProtectNecro4", 1, 1); 
MessageBox("Maps/SingleMissions/Charleroy/Observ.txt"); 
MoveCamera(14, 172, 0, 50, 0, 0, 0, 1); 
sleep(20);
MoveCamera(66, 79, 0, 50, 0, 0, 0, 1, 1); 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionProtectNecro4", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionProtectNecro4", "RegionProtectNecro4");

function RegionInfoPriso1()
if GetCurrentPlayer() == PLAYER_1 then 
StartCombat ("Laszlo", nil, 6, 29, 100, 30, 100, 31, 100, 29, 100, 30, 100, 31, 100, nil); 
sleep(5);
RemoveObject("CachePriso1");
AddHeroCreatures("Laszlo", 10, 77);
ChangeHeroStat("Laszlo", 6, 4);
ChangeHeroStat("Laszlo", 5, 4);
MessageBox("Maps/SingleMissions/Charleroy/armee.txt"); 
Play2DSound("/Sounds/_(Sound)/SFX/ApprovalTribunes.xdb#xpointer(/Sound)"); 
OpenCircleFog(195, 127, 0, 10, 1); 
OpenRegionFog(1, "regionFog");
OpenRegionFog(1, "regionFog1");
OpenRegionFog(1, "regionFog2");
OpenRegionFog(1, "regionFog3");
OpenRegionFog(1, "regionFog4");
RemoveObject("zbaileyP1");
RemoveObject("zbaileyP2");
RemoveObject("zbaileyP3");
RemoveObject("0fantom7");
RemoveObject("1fantom7");
RemoveObject("2fantom7");
RemoveObject("3fantom7");
RemoveObject("4fantom7");
RemoveObject("5fantom7");
RemoveObject("6fantom7");
RemoveObject("7fantom7");
RemoveObject("8fantom7");
RemoveObject("9fantom7");
RemoveObject("10fantom7");
RemoveObject("11fantom7");
SetObjectPosition("12fantom7", 62, 102, 1);
SetObjectPosition("13fantom7", 58, 102, 1);
RemoveObject("14fantom7");
RemoveObject("114fantom7");
RemoveObject("1114fantom7");
RemoveObject("15fantom7");
RemoveObject("16fantom7");
RemoveObject("17fantom7");
RemoveObject("18fantom7");
RemoveObject("19fantom7");
SetObjectPosition("20fantom7", 56, 99, 1);
SetObjectPosition("21fantom7", 64, 99, 1);
RemoveObject("22fantom7");
RemoveObject("23fantom7");
RemoveObject("24fantom7");
RemoveObject("25fantom7");
RemoveObject("26fantom7");
RemoveObject("27fantom7");
RemoveObject("28fantom7");
RemoveObject("29fantom7");
RemoveObject("Escalier1");
RemoveObject("FreeBeaumeville");
RemoveObject("SignBaumeville");
RemoveObject("LetsGo4");
RemoveObject("LetsGo3");
RemoveObject("LetsGo2");
RemoveObject("LetsGo1");
SetObjectPosition("Escalier2", 82, 139, 0);
RemoveObject("FreeAll");
MessageBox("Maps/SingleMissions/Charleroy/InfoPriso2.txt"); 
SetObjectOwner("garisonpl11", 1);
SetObjectOwner("garisonpl12", 1);
Play2DSound("/Sounds/_(Sound)/Spells/Prayer.xdb#xpointer(/Sound)");
MoveCamera(195, 127, 0, 50, 0, 0, 0, 1); 
sleep(20);
MoveCamera(60, 105, 0, 50, 0, 0, 0, 1);
SetObjectOwner("Baumeville", 1);
MoveCamera(60, 110, 0, 50, 0, 0, 0, 1, 1);
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionInfoPriso1", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionInfoPriso1", "RegionInfoPriso1");

function Regiondelivrance()
if GetCurrentPlayer() == PLAYER_1 then 
RemoveObject("BarreCav1");
RemoveObject("BarreCav2");
RemoveObject("BarreCav3");
RemoveObject("librevoie8");
RemoveObject("librevoie9");
RemoveObject("librevoie10");
RemoveObject("librevoie11");
SetObjectPosition("alertD1", 53, 211, 0);
SetObjectPosition("alertD2", 54, 104, 0);
RemoveObject("librevoie0");
RemoveObject("librevoie1");
RemoveObject("librevoie2");
RemoveObject("librevoie3");
RemoveObject("librevoie4");
RemoveObject("librevoie5");
RemoveObject("librevoie6");
RemoveObject("librevoie7");
RemoveObject("doorBourgP1");
RemoveObject("doorBourgP2");
RemoveObject("doorBourgP3");
RemoveObject("doorBourgP4");
RemoveObject("doorBourgP6");
RemoveObject("BlockFinal4");
RemoveObject("BlockFinal44");
RemoveObject("BlockFinal3");
RemoveObject("BlockFinal33");
RemoveObject("ProtecNecro5");
RemoveObject("ProtecNecro6");
RemoveObject("ProtecNecro7");
RemoveObject("ProtecNecro8");
RemoveObject("PassagNecro");
RemoveObject("SignPrison");
RemoveObject("delivranOrrin");
SetRegionBlocked("RegionCimetiere", 1, 1);
MessageBox("Maps/SingleMissions/Charleroy/Delivrance.txt");
Play2DSound("/Sounds/_(Sound)/Spells/Prayer.xdb#xpointer(/Sound)");
OpenCircleFog(93, 12, 0, 10, 1); 
MoveCamera(93, 12, 0, 50, 3, 0, 0, 1);
Play2DSound("/Sounds/_(Sound)/SFX/ApprovalTribunes.xdb#xpointer(/Sound)"); 
sleep(20);
OpenCircleFog(69, 105, 0, 10, 1);
MoveCamera(69, 105, 0, 50, 3, 0, 0, 1);
sleep(20);
GiveArtefact("Laszlo", 48, 0);
LevelUpHero("Laszlo");
MoveHeroRealTime("Orrin", 18, 79, 1);
sleep(10);
MoveHeroRealTime("Laszlo", 7, 78, 1);
sleep(10);
MoveHeroRealTime("Orrin", 93, 11, 0);
LevelUpHero("Orrin");
LevelUpHero("Orrin");
LevelUpHero("Orrin");
LevelUpHero("Orrin");
LevelUpHero("Orrin");
LevelUpHero("Orrin");
LevelUpHero("Orrin");
LevelUpHero("Orrin");
LevelUpHero("Orrin");
LevelUpHero("Orrin");
ChangeHeroStat("Orrin", 6, 3);
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "Regiondelivrance", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "Regiondelivrance", "Regiondelivrance");

function RegionCimetiere()
if GetCurrentPlayer() == PLAYER_1 then 
MessageBox("Maps/SingleMissions/Charleroy/CombatGrave.txt");
StartCombat ("Laszlo", nil, 6, 30, 500, 36, 100, 38, 50, 38, 50, 36, 100, 30, 500, nil); 
sleep(2);
StartCombat ("Laszlo", nil, 6, 40, 100, 34, 100, 42, 50, 40, 50, 34, 100, 42, 50, nil);
sleep(5);
SetObjectPosition("delivranOrrin", 12, 79, 1);
LevelUpHero("Laszlo");
RemoveObject("Delivrance2");
RemoveObject("effetNecro"); 
RemoveObject("effetNecro6"); 
RemoveObject("effetNecro66"); 
RemoveObject("effetNecro666"); 
GiveArtefact("Laszlo", 49, 0);
LevelUpHero("Laszlo");
Play2DSound("/Sounds/_(Sound)/SFX/ApprovalTribunes.xdb#xpointer(/Sound)"); 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionCimetiere", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionCimetiere", "RegionCimetiere");

function RegionInfoBourgPignon()
if GetCurrentPlayer() == PLAYER_1 then 
MessageBox("Maps/SingleMissions/Charleroy/InfoPriso1.txt"); 
OpenCircleFog(93, 8, 0, 10, 1); 
Play2DSound("/Sounds/_(Sound)/Spells/Prayer.xdb#xpointer(/Sound)");
MoveCamera(93, 11, 0, 50, 0, 0, 0, 1, 1); 
sleep(20);
MoveCamera(104, 198, 0, 50, 0, 0, 0, 1, 1); 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionInfoBourgPignon", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionInfoBourgPignon", "RegionInfoBourgPignon");

function regionMer()
if GetCurrentPlayer() == PLAYER_1 then 
StartCombat ("Laszlo", nil, 7, 29, 1000, 29, 1000, 29, 1000, 29, 1000, 29, 1000, 29, 1000, 29, 1000, nil); 
sleep(5);
RemoveObject("epave");
LevelUpHero("Laszlo");
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "regionMer", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "regionMer", "regionMer");

function RegionAllee0()
if GetCurrentPlayer() == PLAYER_1 then 
OpenCircleFog(4, 30, 0, 10, 1); 
MoveCamera(4, 30, 0, 30, 3, 0, 0, 1);
Play2DSound("/Sounds/_(Sound)/Spells/Prayer.xdb#xpointer(/Sound)");
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionAllee0", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionAllee0", "RegionAllee0");

function RegionAllee1()
if GetCurrentPlayer() == PLAYER_1 then 
StartCombat ("Laszlo", nil, 6, 30, 1000, 30, 1000, 30, 1000, 30, 1000, 30, 1000, 30, 1000, nil); 
sleep(5);
LevelUpHero("Laszlo");
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionAllee1", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionAllee1", "RegionAllee1");

function RegionAllee2()
if GetCurrentPlayer() == PLAYER_1 then 
StartCombat ("Laszlo", nil, 5, 32, 2000, 32, 2000, 32, 2000, 32, 2000, 32, 2000, nil); 
sleep(5);
LevelUpHero("Laszlo");
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionAllee2", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionAllee2", "RegionAllee2");

function RegionAllee4()
if GetCurrentPlayer() == PLAYER_1 then 
StartCombat ("Laszlo", nil, 5, 35, 500, 36, 500, 35, 500, 36, 500, 35, 500, nil); 
sleep(5);
LevelUpHero("Laszlo");
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionAllee4", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionAllee4", "RegionAllee4");

function RegionAllee3()
if GetCurrentPlayer() == PLAYER_1 then 
MessageBox("Maps/SingleMissions/Charleroy/Archers.txt");
Play2DSound("/Sounds/_(Sound)/SFX/ApprovalTribunes.xdb#xpointer(/Sound)"); 
RemoveObject("Arbalet1");
RemoveObject("Arbalet2");
RemoveObject("Arbalet3");
RemoveObject("Arbalet4");
RemoveObject("Arbalet5");
AddHeroCreatures("Laszlo", 4, 500);
GiveArtefact("Laszlo", 10, 0);
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionAllee3", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionAllee3", "RegionAllee3");

function CombatFinal()
if GetCurrentPlayer() == PLAYER_1 then 
MessageBox("Maps/SingleMissions/Charleroy/Final.txt");
StartCombat ("Laszlo", nil, 6, 36, 500, 36, 1000, 36, 500, 36, 1000, 36, 500, 36, 1000, nil); 
sleep(2);
StartCombat ("Laszlo", nil, 6, 34, 3000, 34, 3000, 34, 3000, 34, 3000, 34, 3000, 34, 3000, nil); 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "CombatFinal", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "CombatFinal", "CombatFinal");

function CombatFinal1()
if GetCurrentPlayer() == PLAYER_1 then 
MessageBox("Maps/SingleMissions/Charleroy/Final1.txt");
StartCombat ("Laszlo", nil, 6, 36, 500, 36, 1000, 36, 500, 36, 1000, 36, 500, 36, 1000, nil); 
sleep(2);
StartCombat ("Laszlo", nil, 5, 38, 1000, 38, 1000, 38, 1000, 38, 1000, 38, 1000, nil); 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "CombatFinal1", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "CombatFinal1", "CombatFinal1");

function CombatFinal2()
if GetCurrentPlayer() == PLAYER_1 then 
MessageBox("Maps/SingleMissions/Charleroy/Final2.txt");
StartCombat ("Laszlo", nil, 5, 115, 1000, 115, 1000, 115, 1000, 115, 1000, 115, 1000, nil); 
sleep(2);
StartCombat ("Laszlo", nil, 4, 42, 1000, 42, 1000, 42, 1000, 42, 1000, nil); 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "CombatFinal2", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "CombatFinal2", "CombatFinal2");

function CombatFinal3()
if GetCurrentPlayer() == PLAYER_1 then 
MessageBox("Maps/SingleMissions/Charleroy/Final3.txt");
StartCombat ("Laszlo", nil, 6, 34, 3000, 34, 3000, 34, 3000, 34, 3000, 34, 3000, 34, 3000, nil); 
RemoveObject("Nosfe1");
RemoveObject("Nosfe2");
RemoveObject("Nosfe3");
RemoveObject("Nosfe4");
RemoveObject("Nosfe5");
RemoveObject("Nosfe6");
RemoveObject("Nosfe7");
RemoveObject("Nosfe8");
RemoveObject("Nosfe9");
RemoveObject("Nosfe10");
sleep(3);
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "CombatFinal3", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "CombatFinal3", "CombatFinal3");

function CombatFinal4()
if GetCurrentPlayer() == PLAYER_1 then 
MessageBox("Maps/SingleMissions/Charleroy/Final4.txt");
StartCombat ("Laszlo", nil, 5, 38, 3000, 40, 2000, 38, 3000, 40, 2000, 38, 3000, nil); 
sleep(10);
MessageBox("Maps/SingleMissions/Charleroy/Final5.txt");
RemoveObject("VueWing1"); 
RemoveObject("Bailey1");
RemoveObject("Bailey2");
RemoveObject("Bailey3");
RemoveObject("Bailey4");
RemoveObject("Bailey5");
RemoveObject("Bailey6");
RemoveObject("Bailey7");
RemoveObject("Bailey8");
RemoveObject("Bailey20");
RemoveObject("Bailey21");
RemoveObject("Bailey30");
RemoveObject("Bailey31");
RemoveObject("Bailey32");
RemoveObject("Bailey33");
RemoveObject("Bailey34");
RemoveObject("Bailey35");
RemoveObject("Bailey36");
RemoveObject("Bailey37");
RemoveObject("Bailey38");
RemoveObject("Bailey39");
RemoveObject("Bailey40");
RemoveObject("Bailey41");
RemoveObject("Bailey42");
RemoveObject("Bailey43");
RemoveObject("Bailey44");
RemoveObject("Bailey45");
RemoveObject("Bailey46");
RemoveObject("Bailey47");
RemoveObject("Bailey100");
RemoveObject("Bailey101");
RemoveObject("Bailey102");
RemoveObject("Bailey103");
RemoveObject("Bailey104");
RemoveObject("Bailey105");
RemoveObject("Bailey106");
RemoveObject("Bailey107");
RemoveObject("Bailey108");
RemoveObject("Bailey109");
RemoveObject("Bailey110");
RemoveObject("Bailey111");
RemoveObject("Bailey112");
RemoveObject("Bailey113");
RemoveObject("Bailey114");
RemoveObject("Bailey115");
RemoveObject("Bailey116");
RemoveObject("Bailey117");
RemoveObject("Bailey118");
RemoveObject("Bailey119");
RemoveObject("Bailey120");
RemoveObject("Bailey121");
RemoveObject("Bailey200");
RemoveObject("Bailey201");
RemoveObject("Bailey202");
RemoveObject("Bailey220");
RemoveObject("Bailey221");
RemoveObject("Bailey222");
RemoveObject("Bailey224");
RemoveObject("Bailey225");
RemoveObject("Bailey226");
RemoveObject("Bailey227");
RemoveObject("Bailey228");
RemoveObject("Bailey229");
RemoveObject("Bailey230");
RemoveObject("Bailey231");
RemoveObject("Bailey232");
RemoveObject("Bailey233");
RemoveObject("Bailey234");
RemoveObject("Bailey235");
RemoveObject("Bailey236");
RemoveObject("Bailey237");
RemoveObject("Bailey238");
RemoveObject("Bailey239");
RemoveObject("Bailey240");
RemoveObject("Bailey241");
RemoveObject("FreeGiovanni");
RemoveObject("FreeArantir");
ReplaceDwelling("Bailey9", 4, 0, 0, 0, 0); 
ReplaceDwelling("Bailey11", 4, 0, 0, 0, 0);
ReplaceDwelling("Bailey12", 4, 0, 0, 0, 0);
ReplaceDwelling("Bailey13", 4, 0, 0, 0, 0);
ReplaceDwelling("Bailey14", 4, 0, 0, 0, 0);
ReplaceDwelling("Bailey203", 4, 0, 0, 0, 0); 
ReplaceDwelling("Bailey204", 4, 0, 0, 0, 0); 
ReplaceDwelling("Bailey205", 4, 0, 0, 0, 0); 
ReplaceDwelling("Bailey206", 4, 0, 0, 0, 0); 
ReplaceDwelling("Bailey207", 4, 0, 0, 0, 0); 
ReplaceDwelling("Bailey208", 4, 0, 0, 0, 0); 
ReplaceDwelling("Bailey209", 4, 0, 0, 0, 0);
ReplaceDwelling("Bailey223", 4, 0, 0, 0, 0);
SetObjectPosition("NBailey225", 15, 203, 0);
SetObjectPosition("NBailey226", 15, 205, 0);
SetObjectPosition("NBailey231", 30, 212, 0);
SetObjectPosition("NBailey233", 30, 234, 0);
SetObjectPosition("NBaileyPort1", 11, 219, 0);
SetObjectPosition("NBaileyPort2", 11, 221, 0);
SetObjectPosition("NBaileyPort3", 11, 223, 0);
SetObjectPosition("12fantom7", 17, 203, 0);
SetObjectPosition("13fantom7", 13, 203, 0);
SetObjectPosition("20fantom7", 18, 203, 0);
SetObjectPosition("21fantom7", 12, 203, 0);
SetObjectPosition("NBailey46", 33, 226, 0);
SetObjectPosition("NBailey47", 33, 220, 0);
SetObjectPosition("Ruines77", 22, 247, 0);
SetObjectPosition("Ruines777", 15, 250, 0);
SetObjectPosition("Ruines7777", 7, 228, 0);
SetObjectPosition("NBailey01", 10, 218, 0);
SetObjectPosition("NBailey02", 10, 220, 0);
SetObjectPosition("NBailey03", 10, 222, 0);
SetObjectPosition("NBailey04", 10, 224, 0);
SetObjectPosition("smoke1", 30, 206, 0);
SetObjectPosition("smoke2", 7, 231, 0);
SetObjectPosition("smoke3", 16, 249, 0);
SetObjectPosition("smoke4", 11, 217, 0);
SetObjectOwner("Bailey9", 4);
SetObjectOwner("Bailey11", 4);
SetObjectOwner("Bailey12", 4);
SetObjectOwner("Bailey13", 4);
SetObjectOwner("Bailey14", 4);
SetObjectOwner("Bailey203", 4);
SetObjectOwner("Bailey204", 4);
SetObjectOwner("Bailey205", 4);
SetObjectOwner("Bailey500", 0);
SetObjectOwner("Bailey600", 0);
SetObjectOwner("Bailey700", 0);
Play2DSound("/Sounds/_(Sound)/SFX/Screams.xdb#xpointer(/Sound)"); 
sleep(2);
Play2DSound("/Sounds/_(Sound)/SFX/Screams.xdb#xpointer(/Sound)"); 
TransformTown("Bailey", 4); 
sleep(1);
Play2DSound("/Sounds/_(Sound)/SFX/Screams.xdb#xpointer(/Sound)"); 
MoveCamera(9, 210, 0, 70, 0, 0, 0, 1, 1);
sleep(30);
RemoveObject("SaveBeaumecille");
RemoveObject("SaveBeaumecille2");
RemoveObject("BlockTamika");
SetObjectPosition("Rejoin1", 235, 13, 0);
SetObjectPosition("Rejoin2", 237, 11, 0);
SetObjectPosition("Rejoin3", 238, 12, 0);
SetObjectPosition("Rejoin4", 236, 11, 0);
SetObjectPosition("Rejoin5", 236, 13, 0);
SetObjectPosition("Rejoin6", 234, 11, 0);
SetObjectPosition("Rejoin7", 238, 11, 0);
SetObjectPosition("Rejoin8", 237, 14, 0);
SetObjectPosition("SaveBeaumecille3", 237, 12, 0);
MessageBox("Maps/SingleMissions/Charleroy/baileytomb.txt"); 
MoveCamera(237, 12, 0, 70, 0, 0, 0, 1, 1); 
sleep(20);
SetObjectOwner("Bailey", 4);
MoveCamera(214, 216, 1, 50, 0, 0, 0, 1, 1);
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "CombatFinal4", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "CombatFinal4", "CombatFinal4");

function Regionescalier()
if GetCurrentPlayer() == PLAYER_1 then 
SetRegionBlocked("Regionescalier", 1, 1); 
MessageBox("Maps/SingleMissions/Charleroy/rappelBeaumeville.txt");
Play2DSound("/Sounds/_(Sound)/Spells/Prayer.xdb#xpointer(/Sound)");
MoveCamera(60, 108, 0, 50, 0, 0, 0, 1, 1);
sleep(20);
MoveCamera(81, 141, 0, 50, 0, 0, 0, 1, 1);
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "Regionescalier", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "Regionescalier", "Regionescalier");

function RegionBlockJoueur1()
if GetCurrentPlayer() == PLAYER_1 then 
MessageBox("Maps/SingleMissions/Charleroy/Intro3.txt"); 
Play2DSound("/Sounds/_(Sound)/Spells/Prayer.xdb#xpointer(/Sound)");
OpenCircleFog(60, 108, 0, 7, 1); 
MoveCamera(60, 108, 0, 50, 0, 0, 0, 1);
sleep(20);
OpenCircleFog(60, 103, 0, 7, 1); 
MoveCamera(60, 103, 0, 50, 0, 0, 0, 1);
sleep(20);
OpenCircleFog(50, 116, 0, 5, 1); 
MoveCamera(50, 116, 0, 50, 0, 0, 0, 1);
Play2DSound("/Sounds/_(Sound)/Spells/Prayer.xdb#xpointer(/Sound)");
sleep(20);
OpenCircleFog(51, 145, 0, 5, 1); 
MoveCamera(51, 145, 0, 50, 0, 0, 0, 1);
Play2DSound("/Sounds/_(Sound)/Spells/Prayer.xdb#xpointer(/Sound)");
sleep(20);
MoveCamera(78, 150, 0, 50, 0, 0, 0, 1, 1);
LevelUpHero("Laszlo");
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionBlockJoueur1", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionBlockJoueur1", "RegionBlockJoueur1");

function RegionFreeDruide()
if GetCurrentPlayer() == PLAYER_1 then 
StartCombat ("Laszlo", nil, 4, 41, 50, 55, 30, 84, 20, 104, 20, nil); 
sleep(5);
MessageBox("Maps/SingleMissions/Charleroy/FreeDruide.txt"); 
Play2DSound("/Sounds/_(Sound)/SFX/ApprovalTribunes.xdb#xpointer(/Sound)"); 
sleep(10);
Play2DSound("/Sounds/_(Sound)/Spells/Prayer.xdb#xpointer(/Sound)");
OpenCircleFog(239, 17, 0, 10, 1); 
MoveCamera(239, 17, 0, 90, 0, 0, 0, 1, 1); 
sleep(20);
SetObjectPosition("transform1", 247, 8, 0);
Play2DSound("/Sounds/_(Sound)/Spells/storm_end.xdb#xpointer(/Sound)"); 
sleep(2);
SetObjectPosition("transform2", 247, 22, 0);
Play2DSound("/Sounds/_(Sound)/Spells/storm_end.xdb#xpointer(/Sound)");
sleep(2);
SetObjectPosition("transform3", 239, 12, 0);
Play2DSound("/Sounds/_(Sound)/Spells/storm_end.xdb#xpointer(/Sound)"); 
sleep(10);
RemoveObject("FreeDruide1");
RemoveObject("FreeDruide2");
RemoveObject("FreeDruide3");
RemoveObject("FreeDruide4");
RemoveObject("FreeDruide12");
Play2DSound("/Sounds/_(Sound)/Spells/storm_end.xdb#xpointer(/Sound)"); 
sleep(5);
RemoveObject("FreeDruide5");
RemoveObject("FreeDruide6");
RemoveObject("FreeDruide7");
RemoveObject("FreeDruide8");
RemoveObject("FreeDruide11");
Play2DSound("/Sounds/_(Sound)/Spells/storm_end.xdb#xpointer(/Sound)"); 
sleep(5);
RemoveObject("FreeDruide9");
RemoveObject("FreeDruide10");
RemoveObject("FreeDruide13");
RemoveObject("FreeDruide14");
RemoveObject("ztavern2");
RemoveObject("ztavern3");
RemoveObject("ztavern4");
RemoveObject("ztavern5");
RemoveObject("remove333");
RemoveObject("remove3333");
RemoveObject("BlockCarte");
RemoveObject("BlockCarte1");
RemoveObject("BlockCarte2");
RemoveObject("BlockCarte3");
RemoveObject("BlockCarte4");
RemoveObject("BlockCarte5");
RemoveObject("BlockTownJ3");
SetObjectPosition("VisioRing", 149, 246, 0);
SetObjectPosition("VisioRing2", 186, 204, 0);
Play2DSound("/Sounds/_(Sound)/Spells/storm_end.xdb#xpointer(/Sound)"); 
sleep(10);
RemoveObject("transform1");
Play2DSound("/Sounds/_(Sound)/Spells/storm_end.xdb#xpointer(/Sound)"); 
sleep(1);
RemoveObject("transform2");
Play2DSound("/Sounds/_(Sound)/Spells/storm_end.xdb#xpointer(/Sound)"); 
sleep(1);
RemoveObject("transform3");
Play2DSound("/Sounds/_(Sound)/Spells/storm_end.xdb#xpointer(/Sound)"); 
sleep(5);
Play2DSound("/Sounds/_(Sound)/SFX/ApprovalTribunes.xdb#xpointer(/Sound)"); 
sleep(10);
MoveCamera(148, 248, 0, 50, 0, 0, 0, 1, 1);
Play2DSound("/Sounds/_(Sound)/Spells/Prayer.xdb#xpointer(/Sound)");
sleep(20);
RemoveObject("cachesylve");
RemoveObject("Block14");
MoveCamera(190, 210, 0, 50, 0, 0, 0, 1, 1);
GiveArtefact("Laszlo", 60, 0);
LevelUpHero("Laszlo");
RemoveObject("PassSylve");
RemoveObject("PassSylve2");
RemoveObject("PassSylve3");
MessageBox("Maps/SingleMissions/Charleroy/Carte2.txt");
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionFreeDruide", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionFreeDruide", "RegionFreeDruide");

function RegionAlertDruide()
if GetCurrentPlayer() == PLAYER_1 then 
MoveCamera(175, 109, 0, 20, 0, 0, 0, 1, 1);
SetRegionBlocked("RegionAlertDruide", 1, 1);
RemoveObject("Druide1");
RemoveObject("Druide2");
RemoveObject("Druide3");
RemoveObject("Druide4");
RemoveObject("BlockColris3");
RemoveObject("BlockColris33");
RemoveObject("BlockColris4");
RemoveObject("BlockColris5");
RemoveObject("BlockColris6");
RemoveObject("BlocCyclop");
RemoveObject("alertD1");
RemoveObject("alertD2");
sleep(5);
SetObjectPosition("FalsTempl", 176, 108, 0);
Play2DSound("/Sounds/_(Sound)/Spells/Warcry/Shout_of_Many_Explosion.xdb#xpointer(/Sound)"); 
sleep(2);
SetObjectPosition("FalsTempl", 177, 108, 0);
sleep(2);
SetObjectPosition("FalsTempl", 178, 108, 0);
sleep(1);
RemoveObject("FalsTempl");
sleep(5);
MessageBox("Maps/SingleMissions/Charleroy/AlertDruide.txt"); 
sleep(5);
Play2DSound("/Sounds/_(Sound)/Spells/Prayer.xdb#xpointer(/Sound)");
OpenCircleFog(189, 212, 0, 10, 1); 
MoveCamera(189, 212, 0, 50, 0, 0, 0, 1); 
sleep(30);
RemoveObject("Druide5");
RemoveObject("Druide6");
MessageBox("Maps/SingleMissions/Charleroy/2AlertDruide2.txt");
Play2DSound("/Sounds/_(Sound)/Spells/Prayer.xdb#xpointer(/Sound)");
OpenCircleFog(209, 61, 0, 10, 1); 
MoveCamera(209, 61, 0, 50, 0, 0, 0, 1);
sleep(20);
OpenCircleFog(214, 49, 0, 10, 1); 
MoveCamera(214, 49, 0, 50, 0, 0, 0, 1);
sleep(20);
MoveCamera(173, 115, 0, 50, 0, 0, 0, 1, 1); 
LevelUpHero("Laszlo");
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionAlertDruide", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionAlertDruide", "RegionAlertDruide");

function RegionNoDruide()
if GetCurrentPlayer() == PLAYER_1 then 
SetRegionBlocked("RegionNoDruide", 1, 1); 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionNoDruide", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionNoDruide", "RegionNoDruide");

function RegionAnneauDragon()
if GetCurrentPlayer() == PLAYER_1 then 
MessageBox("Maps/SingleMissions/Charleroy/anneauDrag.txt"); 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionAnneauDragon", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionAnneauDragon", "RegionAnneauDragon");

function RegionObservatoire()
if GetCurrentPlayer() == PLAYER_1 then 
OpenCircleFog(67, 57, 0, 100, 1); 
RemoveObject("ProtecNecro3");
RemoveObject("ProtecNecro4");
RemoveObject("Observa");
Play2DSound("/Sounds/_(Sound)/SFX/ApprovalTribunes.xdb#xpointer(/Sound)"); 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionObservatoire", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionObservatoire", "RegionObservatoire");

function RegionRegard()
if GetCurrentPlayer() == PLAYER_1 then 
OpenCircleFog(112, 112, 0, 180, 1); 
MessageBox("Maps/SingleMissions/Charleroy/Regard.txt"); 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionRegard", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionRegard", "RegionRegard");

function ProfaTomb0()
if GetCurrentPlayer() == PLAYER_1 then 
MessageBox("Maps/SingleMissions/Charleroy/AlertProfatomb.txt"); 
RemoveObject("SignEscalier");
OpenCircleFog(110, 179, 1, 20, 1); 
Play2DSound("/Sounds/_(Sound)/Spells/Prayer.xdb#xpointer(/Sound)");
MoveCamera(110, 179, 1, 50, 0, 0, 0, 1); 
sleep(20);
OpenCircleFog(82, 177, 1, 20, 1); 
Play2DSound("/Sounds/_(Sound)/Spells/Prayer.xdb#xpointer(/Sound)");
MoveCamera(82, 177, 1, 50, 0, 0, 0, 1); 
sleep(20);
MoveCamera(99, 184, 1, 50, 0, 0, 0, 1, 1); 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "ProfaTomb0", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "ProfaTomb0", "ProfaTomb0");

function RegionVision()
if GetCurrentPlayer() == PLAYER_1 then 
SetObjectPosition("PosDeblockJ1", 177, 237, 0);
SetObjectPosition("PosDeblockJ11", 196, 214, 0);
SetObjectPosition("PosDeblockJ111", 166, 206, 0);
SetObjectPosition("PosDeblockJ1111", 195, 176, 0);
RemoveObject("DeblockJ1");
RemoveObject("DeblockJ11");
RemoveObject("DeblockJ111"); 
RemoveObject("DeblockJ1111"); 
OpenCircleFog(201, 184, 0, 100, 1); 
OpenCircleFog(237, 240, 0, 10, 1); 
Play2DSound("/Sounds/_(Sound)/Spells/Prayer.xdb#xpointer(/Sound)");
MoveCamera(237, 240, 0, 50, 0, 0, 0, 1, 1); 
sleep(20);
SetObjectPosition("mur1", 235, 237, 0);
SetObjectPosition("mur2", 235, 244, 0);
Play2DSound("/Sounds/_(Sound)/Spells/Warcry/Shout_of_Many_Explosion.xdb#xpointer(/Sound)"); 
sleep(1);
SetObjectPosition("mur1", 235, 236, 0);
SetObjectPosition("mur2", 235, 246, 0);
Play2DSound("/Sounds/_(Sound)/Spells/Warcry/Shout_of_Many_Explosion.xdb#xpointer(/Sound)"); 
sleep(1);
RemoveObject("mur1");
RemoveObject("mur2");
RemoveObject("mur3");
RemoveObject("BlockCarte6");
Play2DSound("/Sounds/_(Sound)/SFX/ApprovalTribunes.xdb#xpointer(/Sound)"); 
MoveCamera(149, 247, 0, 50, 0, 0, 0, 1); 
sleep(20);
MoveHeroRealTime("Laszlo", 154, 246, 0);
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionVision", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionVision", "RegionVision");

function ProfaTomb1()
if GetCurrentPlayer() == PLAYER_1 then 
MessageBox("Maps/SingleMissions/Charleroy/ProfanTomb1.txt"); 
StartCombat ("Laszlo", nil, 6, 116, 10000, 116, 10000, 116, 10000, 116, 10000, 116, 10000, 116, 10000, nil); 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "ProfaTomb1", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "ProfaTomb1", "ProfaTomb1");

function ProfaTomb2()
if GetCurrentPlayer() == PLAYER_1 then 
MessageBox("Maps/SingleMissions/Charleroy/ProfanTomb1.txt"); 
StartCombat ("Laszlo", nil, 5, 89, 15000, 89, 15000, 89, 15000, 89, 15000, 89, 15000, nil); 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "ProfaTomb1", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "ProfaTomb2", "ProfaTomb2");

function RegionRaze1()
if GetCurrentPlayer() == PLAYER_1 then 
AddHeroCreatures("Laszlo", 54, 377);
sleep(10);
SiegeTown("Laszlo", "Fantomas", "");
sleep(20);
RemoveObject("SignDamal");
RazeTown("Damlad");
RazeTown("Fantomas");
Play2DSound("/Sounds/_(Sound)/SFX/Screams.xdb#xpointer(/Sound)"); 
SetObjectPosition("Ruines222", 115, 7, 0);
SetObjectPosition("TroenDamlad", 119, 8, 0);
LevelUpHero("Laszlo");
RemoveHeroCreatures("Laszlo", 54, 377);
MoveCamera(115, 7, 0, 50, 0, 0, 0, 1);
sleep(20);
AddHeroCreatures("Laszlo", 12, 100);
AddHeroCreatures("Laszlo", 8, 150);
sleep(20);
MessageBox("Maps/SingleMissions/Charleroy/armee.txt"); 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionRaze1", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionRaze1", "RegionRaze1");

function RegionRaze2()
if GetCurrentPlayer() == PLAYER_1 then 
AddHeroCreatures("Laszlo", 54, 377);
sleep(10);
SiegeTown("Laszlo", "Phantom", "");
RemoveObject("SignDiraen");
sleep(20);
RazeTown("Phantom");
RazeTown("Diraen");
Play2DSound("/Sounds/_(Sound)/SFX/Screams.xdb#xpointer(/Sound)"); 
SetObjectPosition("Ruines22", 133, 148, 0);
SetObjectPosition("TroenDiraen", 134, 144, 0);
LevelUpHero("Laszlo");
RemoveHeroCreatures("Laszlo", 54, 377);
MoveCamera(134, 147, 0, 50, 0, 0, 0, 1);
sleep(20);
AddHeroCreatures("Laszlo", 10, 200);
AddHeroCreatures("Laszlo", 14, 77);
sleep(20);
MessageBox("Maps/SingleMissions/Charleroy/armee.txt"); 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionRaze2", nil); 
end; end; 
Trigger(REGION_ENTER_AND_STOP_TRIGGER, "RegionRaze2", "RegionRaze2");

function CaptBaumeville()
if (GetObjectOwner("Baumeville") == PLAYER_4) then 
Play2DSound("/Sounds/_(Sound)/SFX/Screams.xdb#xpointer(/Sound)"); 
TransformTown("Baumeville", 4); 
sleep(5);
Play2DSound("/Sounds/_(Sound)/SFX/Screams.xdb#xpointer(/Sound)"); 
sleep(5);
MessageBox("Maps/SingleMissions/Charleroy/Perdu.txt"); 
end; end;
function CaptColris()
if (GetObjectOwner("Colris") == PLAYER_1) then 
Play2DSound("/Sounds/_(Sound)/SFX/Screams.xdb#xpointer(/Sound)"); 
RazeTown("Colris"); 
RemoveObject("BlckColris");
RemoveObject("BlckColris1");
RemoveObject("BlckColris2");
RemoveObject("BlckColris3");
RemoveObject("ztavern1");
SetObjectPosition("Ruines", 244, 246, 0);
RemoveObject("RuiColris1");
RemoveObject("RuiColris2");
RemoveObject("RuiColris3");
LevelUpHero("Laszlo");
end; end;
function CaptHalad()
if (GetObjectOwner("Halad") == PLAYER_1) then 
Play2DSound("/Sounds/_(Sound)/SFX/Screams.xdb#xpointer(/Sound)"); 
RazeTown("Halad"); 
RazeTown("Sweristal"); 
RemoveObject("townDonj1");
RemoveObject("townDonj2");
RemoveObject("DeblokfreeVert");
RemoveObject("BlockSylve");
RemoveObject("FreeProtectPass4");
SetObjectPosition("Ruines2", 237, 102, 0);
sleep(20);
RemoveObject("BlockFinal333");
RemoveObject("BlockFinal22");
RemoveObject("BlockFinal222");
RemoveObject("BlockFinal2222");
RemoveObject("Nonsousterre1");
RemoveObject("Nonsousterre2");
RemoveObject("Fumee1");
RemoveObject("Fumee2"); 
RemoveObject("passj3");
RemoveObject("passj33");
RemoveObject("passj333");
RemoveObject("passj3333");
RemoveObject("passj33333");
RemoveObject("passj333333");
RemoveObject("montSecrete");
SetObjectPosition("Ruines99", 8, 9, 1);
SetObjectPosition("VisioSpess", 14, 50, 0);
RemoveObject("CacheBoooh");
Play2DSound("/Sounds/_(Sound)/Spells/Warcry/Shout_of_Many_Explosion.xdb#xpointer(/Sound)"); 
SetObjectPosition("tourNecro1", 94, 98, 0);
SetObjectPosition("tourNecro11", 93, 98, 0);
SetObjectPosition("tourNecro2", 85, 98, 0);
SetObjectPosition("tourNecro22", 86, 98, 0);
sleep(1);
Play2DSound("/Sounds/_(Sound)/Spells/Warcry/Shout_of_Many_Explosion.xdb#xpointer(/Sound)"); 
RemoveObject("tourNecro111");
RemoveObject("tourNecro222");
sleep(1);
Play2DSound("/Sounds/_(Sound)/Spells/Warcry/Shout_of_Many_Explosion.xdb#xpointer(/Sound)"); 
RemoveObject("tourNecro333");
RemoveObject("tourNecro3333");
sleep(1);
Play2DSound("/Sounds/_(Sound)/Spells/Warcry/Shout_of_Many_Explosion.xdb#xpointer(/Sound)"); 
RemoveObject("tourNecro33333");
RemoveObject("ztourNecro33333");
sleep(15);
OpenCircleFog(90, 98, 0, 20, 1); 
MoveCamera(90, 98, 0, 50, 0, 0, 0, 1, 1);
MessageBox("Maps/SingleMissions/Charleroy/bizare2.txt");
sleep(25);
MoveCamera(245, 106, 0, 50, 0, 0, 0, 1, 1);
LevelUpHero("Laszlo");
end; end;
function CaptSpes()
if (GetObjectOwner("Spes") == PLAYER_1) then 
Play2DSound("/Sounds/_(Sound)/SFX/Screams.xdb#xpointer(/Sound)"); 
RemoveObject("VisioSpess");
RazeTown("Spes"); 
RemoveObject("BlockFinal1");
RemoveObject("BlockFinal2");
RemoveObject("CacheZigomar");
SetObjectPosition("VisioSpess2", 153, 72, 0);
SetObjectPosition("Ruines44", 12, 49, 0);
end; end;
function CaptShagarakti()
if (GetObjectOwner("Shagarakti") == PLAYER_1) then 
Play2DSound("/Sounds/_(Sound)/SFX/Screams.xdb#xpointer(/Sound)"); 
RemoveObject("VisioSpess2");
RazeTown("Shagarakti"); 
Play2DSound("/Sounds/_(Sound)/SFX/ApprovalTribunes.xdb#xpointer(/Sound)"); 
RemoveObject("fin1");
RemoveObject("fin2");
RemoveObject("fin3");
SetObjectPosition("fin4", 25, 6, 0); 
SetObjectPosition("fin5", 29, 6, 0); 
SetObjectPosition("fin7", 27, 6, 0); 
SetObjectPosition("Ruines4", 152, 74, 0);
sleep(20);
Play2DSound("/Sounds/_(Sound)/Spells/Prayer.xdb#xpointer(/Sound)");
OpenCircleFog(26, 10, 0, 20, 1);
MoveCamera(26, 10, 0, 50, 0, 0, 0, 1); 
sleep(20);
MoveCamera(153, 64, 0, 50, 0, 0, 0, 1, 1); 
end; end;
function CaptAdadusur()
if (GetObjectOwner("Adad-usur") == PLAYER_1) then 
Play2DSound("/Sounds/_(Sound)/SFX/Screams.xdb#xpointer(/Sound)"); 
RazeTown("Adad-usur"); 
SetObjectPosition("Ruines66", 7, 49, 1);
RemoveObject("FallseAdad1");
RemoveObject("FallseAdad2");
RemoveObject("FallseAdad3");
RemoveObject("FallseAdad4");
RemoveObject("FinalWing");
RemoveObject("FinalWing1");
RemoveObject("FinalWing2");
RemoveObject("FinalWing3");
RemoveObject("FinalWing4");
RemoveObject("FinalWing5");
SetObjectPosition("VueWing3", 99, 214, 1);
sleep(20);
Play2DSound("/Sounds/_(Sound)/SFX/ApprovalTribunes.xdb#xpointer(/Sound)");
MessageBox("Maps/SingleMissions/Charleroy/FinalWing00.txt"); 
OpenCircleFog(3, 166, 0, 20, 1);
MoveCamera(3, 166, 0, 20, 0, 0, 0, 1, 1); 
end; end;
function CaptDiraen()
if (GetObjectOwner("Diraen") == PLAYER_5) then 
Play2DSound("/Sounds/_(Sound)/SFX/Screams.xdb#xpointer(/Sound)"); 
TransformTown("Diraen", 4); 
RemoveObject("BlckDiraen");
RemoveObject("BlckDiraen1");
RemoveObject("BlckDiraen3");
RemoveObject("ObjetJaune");
RemoveObject("Protecraze2");
RemoveObject("FreeFrank2");
SetObjectPosition("9blocJoueur1", 135, 137, 0);
SetObjectPosition("SignDiraen", 209, 61, 0);
MessageBox("Maps/SingleMissions/Charleroy/FreeDiraen.txt");
end; end;
function CaptDamlad()
if (GetObjectOwner("Damlad") == PLAYER_5) then 
Play2DSound("/Sounds/_(Sound)/SFX/Screams.xdb#xpointer(/Sound)"); 
TransformTown("Damlad", 4); 
RemoveObject("BlckDamlad1");
RemoveObject("BlckDamlad3");
RemoveObject("Protecraze1");
RemoveObject("FreeFrank1");
SetObjectPosition("99blocJoueur1", 123, 7, 0);
SetObjectPosition("SignDamal", 214, 48, 0);
MessageBox("Maps/SingleMissions/Charleroy/FreeDamlad.txt");
end; end;
function CaptNergalshum()
if (GetObjectOwner("Nergal-shum") == PLAYER_1) then 
Play2DSound("/Sounds/_(Sound)/SFX/Screams.xdb#xpointer(/Sound)"); 
RazeTown("Nergal-shum"); 
RemoveObject("zFin1");
RemoveObject("zFin2");
RemoveObject("zFin3");
RemoveObject("zFin4");
RemoveObject("zFin5");
RemoveObject("zFin6");
RemoveObject("zFin7");
RemoveObject("zFin8");
RemoveObject("zFin9");
RemoveObject("zFin10");
RemoveObject("zFin11");
RemoveObject("zFin12");
RemoveObject("zFin13");
SetObjectPosition("Ruines55", 213, 247, 1);
SetObjectPosition("Ruines555", 206, 242, 1);
SetObjectPosition("Ruines5555", 220, 248, 1);
Play2DSound("/Sounds/_(Sound)/SFX/ApprovalTribunes.xdb#xpointer(/Sound)"); 
sleep(10);
Play2DSound("/Sounds/_(Sound)/SFX/ApprovalTribunes.xdb#xpointer(/Sound)"); 
sleep(10):
Play2DSound("/Sounds/_(Sound)/SFX/ApprovalTribunes.xdb#xpointer(/Sound)");
end; end;
Trigger (OBJECT_CAPTURE_TRIGGER, "CaptNergalshum"); 
